列表条目
命名空间:microsoft.graph.windowsUpdates
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
从目录获取 catalogEntry 资源 的列表。
当前,此操作返回 featureUpdateCatalogEntry 或 qualityUpdateCatalog 类型的条目,继承自 catalogEntry。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | WindowsUpdates.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | WindowsUpdates.ReadWrite.All |
HTTP 请求
GET /admin/windows/updates/catalog/entries
可选的查询参数
此方法支持一些 OData 查询 参数来帮助自定义响应,包括 $count $filter $orderBy $select 、、 $skip 和 $top 。
若要对不是从 catalogEntry 继承的属性使用查询参数,请包含属性的完整资源类型。 例如,若要筛选 featureUpdateCatalogEntry的版本属性,请使用 $filter=microsoft.graph.windowsUpdates.featureUpdateCatalogEntry/version 。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK catalogEntry 对象集合。
示例
请求
GET https://graph.microsoft.com/beta/admin/windows/updates/catalog/entries
响应
HTTP/1.1 200 OK
Content-Type: application/json
{
"value": [
{
"@odata.type": "#microsoft.graph.windowsUpdates.featureUpdateCatalogEntry",
"id": "c1dec151-c151-c1de-51c1-dec151c1dec1",
"displayName": "String",
"releaseDateTime": "String (timestamp)",
"deployableUntilDateTime": "String (timestamp)",
"version": "String"
},
{
"@odata.type": "#microsoft.graph.windowsUpdates.qualityUpdateCatalogEntry",
"id": "d0c03fbb-43b9-4dff-840b-974ef227384d",
"displayName": "String",
"releaseDateTime": "String (timestamp)",
"deployableUntilDateTime": "String (timestamp)",
"isExpeditable": true,
"qualityUpdateClassification": "security"
}
]
}
反馈
提交和查看相关反馈